内核升级到了2.6.20-16,以为会有改进,谁知X都进不了了:(

为当前最终发行版之前的所有版本提供支持
头像
kqueenc
帖子: 630
注册时间: 2007-05-27 20:29
送出感谢: 0
接收感谢: 0

内核升级到了2.6.20-16,以为会有改进,谁知X都进不了了:(

#1

帖子 kqueenc » 2007-05-28 10:58

晚上刚刚升级到的2.6.20-16,以为也许能就此治好麦克风不出声的BUG,谁知道连X都进不了了。
提示信息: FAIL TO LOAD NVIDIA KERNEL。

无论如何卸载了NVIDIA驱动,再如何重装,弄了一晚上,都无法再进X了(以前重装驱动一般都是杀手锏,解决一切问题)。

看来内核真的不能乱升啊。
正在UBUNTU越用越爽的节骨眼上……唉,无缘哪!
又得回归WINDOWS了。
头像
qq52073344
帖子: 169
注册时间: 2006-12-07 6:38
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 qq52073344 » 2007-05-28 11:00

呵呵 我的也是 不过我的现在还能进入2.6.20-15 X界面
头像
kqueenc
帖子: 630
注册时间: 2007-05-27 20:29
送出感谢: 0
接收感谢: 0

#3

帖子 kqueenc » 2007-05-28 11:16

嘿嘿,经兄弟这一提醒,还真是可以诶。
我现在能体会别人所说的:宁愿LINUX下死,不愿WINDOWS下生的意思了。

好几次回归WINDOWS,WINDOWS就直接给我来个下马威:死机。

只好硬着头皮又回LINUX。

谁有解决方法啊。:(
头像
jarlyyn
论坛版主
帖子: 4671
注册时间: 2006-04-12 18:54
送出感谢: 0
接收感谢: 6 次
联系:

#4

帖子 jarlyyn » 2007-05-28 11:19

这种私有驱动要根据你的linux内核版本重新编译的
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 juanzhewudi » 2007-05-28 11:36

看看你的linux-restricted-modules-*是不是和你的内核版本号搭配....
很多情况下都是因为这个包没跟着升级导致的.
另外为什么不试试用老内核启动呢?
applnk
帖子: 1485
注册时间: 2007-02-13 15:24
来自: 地球
送出感谢: 0
接收感谢: 0

#6

帖子 applnk » 2007-05-28 11:42

哈哈~我用的“仅下载”模式,看来我真是明智啊! :em09 :em07

代码: 全选

$ sudo apt-get -d dist-upgrade
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
正在筹划升级... 完成
下列【新】软件包将被安装:
  linux-headers-2.6.20-16 linux-headers-2.6.20-16-generic linux-image-2.6.20-16-generic
  linux-restricted-modules-2.6.20-16-generic
下列的软件包将被升级:
  linux-generic linux-headers-generic linux-image-generic linux-restricted-modules-generic
共升级了 4 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 0B/49.0MB 的软件包。
解压缩后会消耗掉 179MB 的额外空间。
您希望继续执行吗?[Y/n]
下载完毕,目前是“仅下载”模式
XDG3669
帖子: 380
注册时间: 2006-07-10 22:50
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 XDG3669 » 2007-05-28 13:39

applnk 写了:哈哈~我用的“仅下载”模式,看来我真是明智啊! :em09 :em07

代码: 全选

$ sudo apt-get -d dist-upgrade
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
正在筹划升级... 完成
下列【新】软件包将被安装:
  linux-headers-2.6.20-16 linux-headers-2.6.20-16-generic linux-image-2.6.20-16-generic
  linux-restricted-modules-2.6.20-16-generic
下列的软件包将被升级:
  linux-generic linux-headers-generic linux-image-generic linux-restricted-modules-generic
共升级了 4 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 0B/49.0MB 的软件包。
解压缩后会消耗掉 179MB 的额外空间。
您希望继续执行吗?[Y/n]
下载完毕,目前是“仅下载”模式
:!: :!: :evil:
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 SuperWar3Fan » 2007-05-28 15:47

推荐用Envy脚本来安装。
XDG3669
帖子: 380
注册时间: 2006-07-10 22:50
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 XDG3669 » 2007-05-28 17:14

刚刚安装结束!我的是NV卡,完全能够自动升级!正常启动!不过还是谢谢你做了白鼠了。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 karron » 2007-05-28 17:36

安装驱动的话建议直接安装源里面的版本,不要手工去安装。如果安装的源里面的驱动,升级内核的话会自动升级驱动的。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
XDG3669
帖子: 380
注册时间: 2006-07-10 22:50
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 XDG3669 » 2007-05-28 18:52

karron 写了:安装驱动的话建议直接安装源里面的版本,不要手工去安装。如果安装的源里面的驱动,升级内核的话会自动升级驱动的。

对极了。还是专家经验丰富。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#12

帖子 dbzhang800 » 2007-05-28 18:54

:D
Hackevin
帖子: 20
注册时间: 2006-10-04 22:10
送出感谢: 0
接收感谢: 0

#13

帖子 Hackevin » 2007-05-28 20:55

我升了,没问题阿
头像
老皮
帖子: 88
注册时间: 2006-10-02 10:46
送出感谢: 0
接收感谢: 0

#14

帖子 老皮 » 2007-05-29 1:53

晚上刚升的,重启后正常运行。
恨啊--改了menu.lst的启动菜单顺序后就再也进不去了(ubuntu studio横条刚出现就不动了)....还好15的还能进。
jun4rui
帖子: 112
注册时间: 2006-10-27 0:13
送出感谢: 0
接收感谢: 0

#15

帖子 jun4rui » 2007-05-29 10:59

我一直用官方的源,升级很正常的。用非官方的就要多小心了。

官方的源在升级核心的时候,会吧restricted-modules也一起升级,嘿嘿,完全没有任何问题的!



谁叫你们乱用非官方的东东,出西西了把!
回复

回到 “老旧版本支持”